0

I'm trying to generate a test bibliography with the following code that I found in another post and keep getting "citation undefined" and "empty bibliography" warnings.

\documentclass{article}
\usepackage[backend=biber]{biblatex}
\addbibresource{Ohne-Titel.bib}
\begin{document}
Test test test \cite{Lee2009a}
\printbibliography
\end{document}

My Ohne-Titel.bib file:

@article{Lee2009a,
author = {Lee, Geun},
file = {:Users/JulianLeitner/Library/Application Support/Mendeley Desktop/Downloaded/Lee - 2009 - A Theory of Soft Power and Korea's Soft Power Strategy.pdf:pdf},
journal = {The Korean Journal of Defense Analysis},
number = {2},
pages = {205--218},
title = {{A Theory of Soft Power and Korea's Soft Power Strategy}},
volume = {21},
year = {2009}
}

I'm on Ubuntu and using TeXmaker. I've followed all the instructions given here (Biblatex with Biber: Configuring my editor to avoid undefined citations) to set up Texmaker with Biber properly, but I still get the following errors:

Process started

Use of uninitialized value $globalss in concatenation (.) or string at /usr/share/perl5/Biber.pm line 809.
Use of uninitialized value $globalss in concatenation (.) or string at /usr/share/perl5/Biber.pm line 810.
Use of uninitialized value $lssn in concatenation (.) or string at /usr/share/perl5/Biber.pm line 2043.

INFO - This is Biber 2.4
INFO - Logfile is 'test.blg'
INFO - Reading 'test.bcf'
WARN - Warning: Found biblatex control file version 3.5, expected version 3.0
INFO - Found 1 citekeys in bib section 0
INFO - Processing section 0
INFO - Looking for bibtex format file 'Ohne-Titel.bib' for section 0
INFO - Decoding LaTeX character macros into UTF-8
INFO - Found BibTeX data source 'Ohne-Titel.bib'

Use of uninitialized value $lssn in concatenation (.) or string at /usr/share/perl5/Biber.pm line 2057.
Use of uninitialized value $lssn in concatenation (.) or string at /usr/share/perl5/Biber.pm line 2078.
Can't use an undefined value as an ARRAY reference at /usr/share/perl5/Biber/Internals.pm line 949.

Process exited with error(s)
  • Biber 2.4 is quite outdated by today's standards. The current version is 2.12. Is there any chance of you updating to a newer version? In any case, please tell us your biblatex version (you can find it by adding \listfiles to the top of your .tex file and checking the .log file at the end). – moewe Jan 24 at 18:42
  • Related message with an outdated Biber tex.stackexchange.com/q/251437/35864, tex.stackexchange.com/q/192691/35864. In many threads that I could find the issue was incompatible versions of biblatex and Biber. – moewe Jan 24 at 18:43
  • I'm using Biblatex v3.12. Stupid question : how do I update biber? I'm quite new to Linux – Chloé Archambault Jan 24 at 18:57
  • biblatex 3.12 and Biber 2.4 are incompatible. You should be running Biber 2.12. How you can update depends on how you installed TeX. How did you install TeX? How did you install biblatex? How did you install Biber? tex.stackexchange.com/q/55437/35864 can give you a first hint, but the fact that you have Biber 2.4 and biblatex 3.12 is quite extraordinary and may mean that something weird is going on at your end. – moewe Jan 24 at 20:05
  • Unfortunately, I don't know how Tex and Biblatex were installed. They were already installed when I got the machine. Biber, I installed with "sudo apt-get -y install biber" – Chloé Archambault Jan 24 at 20:30
2

Errors like this can appear when there is a version mismatch between Biber and biblatex. In newer versions of Biber a version incompatibility is an error, which makes it easier to determine what is going wrong than these cryptic error messages.

Indeed the .blg file shows you have Biber 2.4, but the .log shows that are using the current biblatex 3.12.

As it turns out the issue was that Biber was installed from the Ubuntu package sources via apt/apt-get, whereas the rest of the TeX system came from MikTeX.

At the moment MikTeX does not ship Biber for Linux and Mac OS (see https://github.com/MiKTeX/miktex/issues/254, though that may change soon), so you have to get the Biber binary from CTAN (https://www.ctan.org/tex-archive/biblio/biber/binaries/Linux). Note that one is usually strongly discouraged from installing the Biber binary from CTAN or SourceForge. If at all possible Biber should be installed via your TeX distribution. But in this case the TeX distribution does not offer Biber, so you have little choice.

Following https://github.com/MiKTeX/miktex/issues/254 MikTeX now also has Biber binaries for Mac OS and Linux. You should be able to install Biber through the MikTeX Console.

An alternative would be to install "vanilla" TeX live from TUG (How to install "vanilla" TeXLive on Debian or Ubuntu?) instead of MikTeX - but that might be a very radical change.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.